Data Sources
Get Data Source Audit Data
Gets Data Source audit data given filter input parameters
GET
/
api
/
datasource
/
v1
/
audit
Get Data Source Audit Data
curl --request GET \
--url https://mycluster.domino.tech/api/datasource/v1/audit \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/datasource/v1/audit"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/datasource/v1/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/datasource/v1/audit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/datasource/v1/audit"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/datasource/v1/audit")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/datasource/v1/audit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"dataSourceId": "<string>",
"dataSourceName": "<string>",
"dataSourceType": "ADLSConfig",
"eventKind": "AccessDataSource",
"metadata": {
"foo": "bar"
},
"performedBy": "<string>",
"timestamp": "1996-07-19T03:13:44.467Z"
}
]{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Query Parameters
Data Source IDs to query audit data for
Data Source names to query audit data for
events to query - AccessDataSource, CreateDataSource, DataSourceAssociatedToProject, DataSourceDissociatedFromProject, DataSourceChangeOfOwnership, DataSourceChangeOfPermissions, DeleteDataSource
Start time (iso8601)
End time (iso8601)
Response
Success
ID of the Data Source
name of the Data Source
The configuration type of the Data Source
Example:
"ADLSConfig"
Kinds of Data Source audit events
Available options:
AccessDataSource, CreateDataSource, DataSourceAssociatedToProject, DataSourceDissociatedFromProject, DataSourceChangeOfOwnership, DataSourceChangeOfPermissions, DeleteDataSource A map of string -> string
Show child attributes
Show child attributes
Example:
{ "foo": "bar" }
ID of user who performed the event
timestamp of when event was performed
Example:
"1996-07-19T03:13:44.467Z"
Was this page helpful?
⌘I
Get Data Source Audit Data
curl --request GET \
--url https://mycluster.domino.tech/api/datasource/v1/audit \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/datasource/v1/audit"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/datasource/v1/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/datasource/v1/audit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/datasource/v1/audit"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/datasource/v1/audit")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/datasource/v1/audit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"dataSourceId": "<string>",
"dataSourceName": "<string>",
"dataSourceType": "ADLSConfig",
"eventKind": "AccessDataSource",
"metadata": {
"foo": "bar"
},
"performedBy": "<string>",
"timestamp": "1996-07-19T03:13:44.467Z"
}
]{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}